Summary: Monitors an APC Smart-UPS
Name: smupsd
Version: 0.9
Vendor: David E. Myers
Packager: David E. Myers <dem@skyline.rtp.nc.us.com>
Release: 1
Copyright: GPL
Group: Daemons
Source: smupsd-0.9.tar.gz

%description
This daemon monitors an APC Smart-UPS for power failures.
When the battery has been drained to a certain level, a normal system
shutdown is performed.  Also included is a Java GUI for monitoring
selected UPS parameters live (requires JDK 1.0.2).
 
%prep 
%setup

%build
make all

%install
make install
make install_etc
make install_gui

%files
%doc COPYING CHANGES smupsd.ps smupsd.html smupsd-1.html smupsd-2.html smupsd-3.html smupsd-4.html smupsd-5.html smupsd.txt
/usr/sbin/smupsd
/usr/bin/upsmon
%config /etc/rc.d/init.d/smupsd.init
/etc/rc.d/rc0.d/K95smupsd
/etc/rc.d/rc6.d/K95smupsd
/etc/rc.d/rc1.d/S35smupsd
/etc/rc.d/rc2.d/S35smupsd
/etc/rc.d/rc3.d/S35smupsd
/etc/rc.d/rc5.d/S35smupsd
%config /etc/logrotate.d/smupsd
/usr/lib/smupsd
